List offices
curl --request GET \
--url https://api.myabode.ca/v1/offices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.myabode.ca/v1/offices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.myabode.ca/v1/offices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "office",
"id": "<string>",
"brokerage": "<string>",
"name": "<string>",
"teams": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}API Reference
List offices
Returns the offices of the brokerages this key may read. Requires offices:read.
GET
/
v1
/
offices
List offices
curl --request GET \
--url https://api.myabode.ca/v1/offices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.myabode.ca/v1/offices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.myabode.ca/v1/offices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "office",
"id": "<string>",
"brokerage": "<string>",
"name": "<string>",
"teams": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}Authorizations
An API key of the form mya_…, sent as Authorization: Bearer mya_…. The secret is shown once, when the key is created.
Query Parameters
Maximum array length:
100Minimum string length:
1Opaque: send back a next_cursor unchanged.
Minimum string length:
1Required range:
1 <= x <= 100